/***************************************************************************
 *  SampleNode.hpp
 *  Part of Drile
 *  2010-  Florent Berthaut
 *  hitmuri.net 
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
/*
#ifndef _SAMPLE_NODE_H
#define _SAMPLE_NODE_H

#include <iostream>
#include <cstring>
#include <cmath>
#include <sys/time.h>
#include <unistd.h>
#include <stdlib.h>
#include <vector>
#include <map>

#include <sndfile.h>
#include <samplerate.h>

#include "util/gverb.h"
#include "util/iir.h"

#include "Node.hpp"
#include "Sample.hpp"

struct SampleNodeEvent
{
    int sampleID;
    int type;
    double offset;    
    double volume;
    double fade;
    bool fading;    
};


class SampleNode: public Node
{
    public:
        SampleNode(const int&);
        SampleNode(const int&,const SampleNode&);
        ~SampleNode();
        void parse(xmlNodePtr);

        void load();
        void unload();

        void process(timeval&, std::vector<std::vector<double> >&, std::vector<std::vector<double> >&);
        void analyse(timeval&, std::vector<AudioEvent>&);

    private:
    
        void processFadedEffects(std::vector<std::vector<double> >&, double);

        std::vector<Sample*> m_samples;

        double m_volume;
        int m_polyphony;
        int m_mode;

        timeval m_lastParameterFadeTime;

        //gverb
        ty_gverb *m_gverb;
        
        //filter
        iirf_t *m_filterIirfL, *m_filterIirfR;
        iir_stage_t *m_filterGtL, *m_filterGtR;
        iir_stage_t* m_filterFirstL, *m_filterFirstR;
        iir_stage_t* m_filterSecondL, *m_filterSecondR;
        double m_filterUfc;
        double m_filterLfc;

        std::vector<double> m_analysisBuffer;
        std::vector<double> m_spectrumBuffer;

        //events
        std::vector<SampleNodeEvent> m_sampleNodeEvents;
};

*/

#endif
