/***************************************************************************
 *  Spectator.cpp
 *  Part of Drile
 *  2010-  Florent Berthaut
 *  hitmuri.net 
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include "Spectator.hpp"
#include "Piivert.hpp"
#include "Zone.hpp"
#include "Room.hpp"
#include "Passage.hpp"
#include "Tunnel.hpp"
#include "Sign.hpp"
#include "EnvManager.hpp"

using namespace std;

Spectator::Spectator(int id, OSG::NodeRecPtr root, 
                    OSG::PassiveWindowRecPtr window): Camera(id,root,window) {}

Spectator::~Spectator() {}

void Spectator::parse(xmlNodePtr node) {
    Camera::parse(node);
}

