/***************************************************************************
 *            HllEnums.hpp
 *            Part of Drile
 *
 *  2010  Tardigrade Inc.
 *  http://tardigrade-inc.com 
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _HLL_ENUMS_H
#define _HLL_ENUMS_H

enum LOOP_STATE{LOOP_NONE, LOOP_RECORDING_ASKED, LOOP_RECORDING, LOOP_RECORDED, LOOP_PLAYING, LOOP_PLAYING_ASKED, LOOP_STOPPED};

enum NODE_TYPE{NODE_SYNC, NODE_LOOP, LEAF_SAMPLE, LEAF_LAYERED_GRAIN, LEAF_SAS};

enum TREE_OPERATION{TREE_BUILD_RECORD, TREE_BUILD_CREATE, TREE_BUILD_CANCEL, 
                    TREE_MERGE, TREE_DUPLICATE, TREE_EXTRACT, TREE_SWAP, 
                    TREE_NODE_ADD, TREE_NODE_REMOVE, TREE_NODE_MOVE,
                    TREE_COLLIDE};

enum NODE_PARAMETER{NODE_EXCITE_INST, NODE_EXCITE_CONT, 
                    NODE_EXCITE_CONT_RELEASE, NODE_STOP, NODE_MODULATION, 
                    NODE_VOLUME, NODE_PITCH, NODE_NOISINESS, NODE_BRIGHTNESS, 
                    NODE_RESONANCE, NODE_IRREGULARITY, NODE_SPEED, NODE_OFFSET, 
                    NODE_ANALYSIS_DYNAMIC, NODE_ANALYSIS_STATIC, 
                    NODE_LOOP_RECORDING,
                    NODE_LOOP_POSITION, NODE_LOOP_RESTART, NODE_PARAMETERS_NB};
#endif
