/***************************************************************************
 *  Limiter.hpp
 *  Part of Drile
 *  2010- Florent Berthaut
 *  hitmuri.net 
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _Limiter_H
#define _Limiter_H

#include <vector>

#include <jack/jack.h>
#include <jack/ringbuffer.h>
#include <jack/types.h>

class Limiter 
{
    public:
        Limiter(const int&);
        ~Limiter();
        void process(std::vector<double>&);

    private:

        int m_sampleRate;

/*
        double m_atten;
        double m_attenLp;
        unsigned int m_bufferLen;
        unsigned int m_bufferPos;
        unsigned int m_chunkNum;
        unsigned int m_chunkPos;
        unsigned int m_chunkSize;
        double *m_chunks = NULL;
        unsigned int m_delay;
        double m_delta;
        unsigned int m_fs;
        double m_peak;
*/
};

#endif

