/***************************************************************************
 *  OscInput.cpp
 *  Part of Drile
 *  2010  Tardigrade Inc.
 *  http://tardigrade-inc.com
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "OscInput.hpp"
#include "../Drile.hpp"

#define IP_MTU_SIZE 1536

using namespace osc;
using namespace std;

OscProcess::OscProcess()
{
}

OscProcess::~OscProcess()
{
}

void OscProcess::sendMessage(char *adress, int port, float value)
{

/*
    UdpTransmitSocket transmitSocket( IpEndpointName( adress, port ) );
    
    char buffer[IP_MTU_SIZE];
    osc::OutboundPacketStream p( buffer, IP_MTU_SIZE );
    
    p << osc::BeginBundleImmediate
        << osc::BeginMessage( "/test1" ) 
            << (float)12.1 << osc::EndMessage
        << osc::BeginMessage( "/test2" ) 
            << 24 << osc::EndMessage
        << osc::EndBundle;
    
    transmitSocket.Send( p.Data(), p.Size() );
*/
}


void OscProcess::ProcessMessage( const osc::ReceivedMessage& m, const IpEndpointName& remoteEndpoint )
{
/*
    ReceivedMessageArgumentStream args = m.ArgumentStream();
    ReceivedMessage::const_iterator arg = m.ArgumentsBegin();

    std::string mess(m.AddressPattern());

    Drile *drile = Drile::getInstance();
    InputEvent& event = drile->getInputEvent(INPUT_OSC);

    //mess = mess.substr(6);

    event.strId=mess;
    event.strParameter=mess;
    event.values.clear();

    for(;arg!=m.ArgumentsEnd();++arg) {
        if(arg->IsFloat()) {
            event.values.push_back(arg->AsFloatUnchecked());
        }
        else if( arg->IsInt32() ) {
            event.values.push_back((float)(arg->AsInt32Unchecked()));
        }
    }
    drile->processInputEvent(INPUT_OSC);

*/

/*
        //scene 
        if(arg->IsString())
        {

        }
        else
        {
            if( arg->IsFloat() )
            {
                double a = (double)((arg++)->AsFloatUnchecked());
            }
            else if( arg->IsInt32() )
            {
                double a = (double)((arg++)->AsInt32Unchecked());
            }
        }    
*/
}

OscInput::OscInput(): GenericInput(), m_inputPort(8327)
{
}


OscInput::~OscInput()
{
}


void* oscThreadFunction(void* pvParam)
{
    OscInput  *pThis=(OscInput*)pvParam;
    pThis->m_socket = new UdpListeningReceiveSocket(IpEndpointName( IpEndpointName::ANY_ADDRESS, pThis->m_inputPort ),&(pThis->m_oscProcess) );
    pThis->m_socket->Run();

    return 0;
}

void OscInput::init()
{
}


void OscInput::start()
{
    //pthread_create(&m_thread, NULL, oscThreadFunction , this);    
}

void OscInput::stop()
{

}

void OscInput::process(std::vector<InputEvent>&)
{


}

void OscInput::sendMessage(std::string address, std::string mess,std::vector<float> args)
{
    /*
    UdpTransmitSocket transmitSocket( IpEndpointName( address.c_str(), Vjpirate::VJPIRATE_OSC_PORT ) );

    char buffer[IP_MTU_SIZE];
    osc::OutboundPacketStream p( buffer, IP_MTU_SIZE );
    
    p << osc::BeginMessage(mess.c_str());

    std::vector<float>::iterator it;    
    for(it=args.begin();it!=args.end();++it) {

        p<<(float)(*it);

    }
    p << osc::EndMessage;   
    transmitSocket.Send( p.Data(), p.Size() );
    */
}

